PETSc version 3.15.5
Fix/Edit manual page

# DMSetMatType

Sets the type of matrix created with DMCreateMatrix()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetMatType(DM dm,MatType ctype)

Logically Collective on dm

### Input Parameters

| dm | - the DM context
| ctype | - the matrix type

### Options Database

| -dm_mat_type ctype

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMGetMatType(), DMSetMatType(), DMGetMatType()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex71.c.html
src/ksp/ksp/tutorials/ex44f.F90.html
src/snes/tutorials/ex14.c.html
src/snes/tutorials/ex35.c.html
src/snes/tutorials/ex48.c.html
src/snes/tutorials/ex58.c.html
src/snes/tutorials/ex77.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages